summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure36
1 files changed, 21 insertions, 15 deletions
diff --git a/configure b/configure
index b436adf3..8d8f5499 100755
--- a/configure
+++ b/configure
@@ -4441,22 +4441,28 @@ if test -z "$PAGE"; then
esac
fi
test -n "$PAGE" || PAGE=letter
-echo "$as_me:4444: result: $PAGE" >&5
+if test "x$PAGE" = "xA4"; then
+ cat >>confdefs.h <<\EOF
+#define PAGEA4 1
+EOF
+
+fi
+echo "$as_me:4450: result: $PAGE" >&5
echo "${ECHO_T}$PAGE" >&6
-echo "$as_me:4447: checking for existing troff installation" >&5
+echo "$as_me:4453: checking for existing troff installation" >&5
echo $ECHO_N "checking for existing troff installation... $ECHO_C" >&6
if test "x`(echo .tm '|n(.g' | tr '|' '\\\\' | troff -z -i 2>&1) 2>/dev/null`" = x0; then
- echo "$as_me:4450: result: yes" >&5
+ echo "$as_me:4456: result: yes" >&5
echo "${ECHO_T}yes" >&6
g=g
else
- echo "$as_me:4454: result: no" >&5
+ echo "$as_me:4460: result: no" >&5
echo "${ECHO_T}no" >&6
g=
fi
-echo "$as_me:4459: checking for prefix of system macro packages" >&5
+echo "$as_me:4465: checking for prefix of system macro packages" >&5
echo $ECHO_N "checking for prefix of system macro packages... $ECHO_C" >&6
sys_tmac_prefix=
sys_tmac_file_prefix=
@@ -4473,11 +4479,11 @@ for d in /usr/share/lib/tmac /usr/lib/tmac; do
done
done
done
-echo "$as_me:4476: result: $sys_tmac_prefix" >&5
+echo "$as_me:4482: result: $sys_tmac_prefix" >&5
echo "${ECHO_T}$sys_tmac_prefix" >&6
tmac_wrap=
-echo "$as_me:4480: checking which system macro packages should be made available" >&5
+echo "$as_me:4486: checking which system macro packages should be made available" >&5
echo $ECHO_N "checking which system macro packages should be made available... $ECHO_C" >&6
if test "x$sys_tmac_file_prefix" = "xtmac."; then
for f in $sys_tmac_prefix*; do
@@ -4513,7 +4519,7 @@ elif test -n "$sys_tmac_prefix"; then
done
rm -f conftest.sol
fi
-echo "$as_me:4516: result: $tmac_wrap" >&5
+echo "$as_me:4522: result: $tmac_wrap" >&5
echo "${ECHO_T}$tmac_wrap" >&6
$srcdir/mkinstalldirs src/xditview
@@ -4628,7 +4634,7 @@ rm -f confdef2opt.sed
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:4631: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:4637: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@@ -4796,7 +4802,7 @@ cat >>$CONFIG_STATUS <<\EOF
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
- { { echo "$as_me:4799: error: ambiguous option: $1
+ { { echo "$as_me:4805: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@@ -4819,12 +4825,12 @@ Try \`$0 --help' for more information." >&2;}
'src/xditview/Imakefile' ) CONFIG_FILES="$CONFIG_FILES src/xditview/Imakefile" ;;
# This is an error.
- -*) { { echo "$as_me:4822: error: unrecognized option: $1
+ -*) { { echo "$as_me:4828: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
{ (exit 1); exit 1; }; } ;;
- *) { { echo "$as_me:4827: error: invalid argument: $1" >&5
+ *) { { echo "$as_me:4833: error: invalid argument: $1" >&5
echo "$as_me: error: invalid argument: $1" >&2;}
{ (exit 1); exit 1; }; };;
esac
@@ -5065,7 +5071,7 @@ done; }
esac
if test x"$ac_file" != x-; then
- { echo "$as_me:5068: creating $ac_file" >&5
+ { echo "$as_me:5074: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@@ -5083,7 +5089,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:5086: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:5092: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -5096,7 +5102,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:5099: error: cannot find input file: $f" >&5
+ { { echo "$as_me:5105: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;